<div class="card">
  <div class="card-header bordered">
    <div class="header-block">
      <h3 class="title">Задача #{{sCategory.id}}</h3>
    </div>
  </div>
  <div class="card-block">
    <form #formGroup="ngForm" >
      <div class="form-group">

        <label class="control-label" for="e-select-category">Родитель:</label>
        <select
          id="e-select-category"
          class="form-control"
          name="parentIdx"
          [(ngModel)]="dropDownParentCategoryId"
          (change)="onCategoryChange()"
          [ngModelOptions]="{standalone: true}"
          #parentIdx="ngModel"
        >
          <option
            *ngFor="let c of parentCategories"
            [value]="c.id"
          >{{c.name}}
          </option>
        </select>
      </div>

      <div
        [ngClass]="{'has-error': name.invalid  && name.touched}"
        class="form-group">
        <label class="control-label" for="e-category-name">Введите название</label>
        <input
          type="text"
          id="e-category-name"
          class="form-control"
          #name="ngModel"
          name="name"
          required
          [(ngModel)]="sCategory.name"
        >
        <span
          *ngIf="name.invalid  && name.touched"
          class="form-help-text">Не может быть пустым</span>
      </div>

      <div class="form-group">
        <label class="control-label" for="e-category-value">Баллы (для bool - %, книг - страницы) </label>
        <input
          type="number"
          id="e-category-value"
          class="form-control"
          [(ngModel)]="sCategory.score"
          name="score"
          #score="ngModel"
          min="1"
        >
      </div>

      <div class="form-group"  *ngIf="sCategory.disposable">
        <label class="control-label" for="e-category-capacity">Количество страниц</label>
        <input
          type="number"
          id="e-category-capacity"
          class="form-control"
          [(ngModel)]="sCategory.disposableCapacity"
          name="disposableCapacity"
          #disposableCapacity="ngModel"
          min="1"
        >
      </div>

      <div class="form-group" *ngIf="sCategory.disposable">
        <label class="control-label" for="e-disposableDone">Уже сделано</label>
        <input
          type="number"
          id="e-disposableDone"
          class="form-control"
          [(ngModel)]="sCategory.disposableDone"
          name="disposableDone"
          #disposableDone="ngModel"
          min="1"
        >
      </div>

      <div class="form-group">
        <label class="control-label" for="is-simple">Булевая (простая)</label>
        <input id="is-simple"
               style="margin-left: 10px"
               type="checkbox"
               [checked]="sCategory.simple"
               [(ngModel)]="sCategory.simple"
               name="simple"
        />
      </div>

      <div class="form-group">
        <label class="control-label" for="is-disposable">Конечная задача</label>
        <input id="is-disposable"
               style="margin-left: 10px"
               type="checkbox"
               [checked]="sCategory.disposable"
               [(ngModel)]="sCategory.disposable"
               name="disposable"
        />
      </div>

      <div class="form-group">
        <label class="control-label" for="is-deprecated">Устаревшая</label>
        <input id="is-deprecated"
               style="margin-left: 10px"
               type="checkbox"
               [checked]="sCategory.deprecated"
               [(ngModel)]="sCategory.deprecated"
               name="deprecated"
        />
      </div>

      <button
        (click)="onSubmit(formGroup, false)"
        class="btn btn-primary pull-right"
        [disabled]="formGroup.invalid"
      >Обновить
      </button>

      <button
        class="btn btn-secondary"
        (click)="onSubmit(formGroup, true)"
        [disabled]="formGroup.invalid"
      >Создать
      </button>
    </form>
  </div>
</div>
